---

# This task is to query the sites


- name: Obtain a list of variables from sites object Netbox (site/environment/leaf ids)
  set_fact:
    site_vars: "{{ site_vars | default([]) + [{ 
      'site': item.value.name,
      'pod': item.value.custom_fields.POD | int,
      'environment': item.value.custom_fields.Environment,
      'min_leaf_id': item.value.custom_fields.Node_ID_Range.split(' - ')[0] | int,
      'max_leaf_id': item.value.custom_fields.Node_ID_Range.split(' - ')[1] | int
       }] }}"
  loop: "{{ query('netbox.netbox.nb_lookup', 'sites', api_endpoint=netbox_url, token=netbox_token, validate_certs=False) }}"
  loop_control:
    label: "Checking the POD and Site ID from NetBox for validation."
